Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.hmm.transitions.elements
Class BasicTransitionElement

    java.lang.Object
      de.jstacs.sequenceScores.statisticalModels.trainable.hmm.transitions.BasicHigherOrderTransition.AbstractTransitionElement
          de.jstacs.sequenceScores.statisticalModels.trainable.hmm.transitions.elements.BasicTransitionElement

All Implemented Interfaces:
  Storable, Cloneable

Direct Known Subclasses:
  BasicPluginTransitionElement, ReferenceBasedTransitionElement, TransitionElement

    public class BasicTransitionElement

extends BasicHigherOrderTransition.AbstractTransitionElement

This class implements the probability distribution for a given context, i.e. it contains all possible transition and the corresponding probabilities for a given set of previously visited states. This class just implements the basic functionalities.

Author:
  Jan Grau, Jens Keilwagen

Field Summary

Fields inherited from class de.jstacs.sequenceScores.statisticalModels.trainable.hmm.transitions.BasicHigherOrderTransition.AbstractTransitionElement
`context, descendants, hyperParameters, logNorm, parameters, states, statistic`

Constructor Summary
`BasicTransitionElement(int[] context, int[] states, double[] hyperParameters)` This is the main constructor creating a new instance with given context, descendant states, and hyper parameters.
`BasicTransitionElement(int[] context, int[] states, double[] hyperParameters, double[] weight)` This is the main constructor creating a new instance with given context, descendant states, and hyper parameters.
`BasicTransitionElement(StringBuffer xml)` The standard constructor for the interface `Storable`.

Method Summary
`protected void` | `appendFurtherInformation(StringBuffer xml)` This method appends further information to the XML representation.
`protected void` | `extractFurtherInformation(StringBuffer xml)` This method extracts further information from the XML representation.

Methods inherited from class de.jstacs.sequenceScores.statisticalModels.trainable.hmm.transitions.BasicHigherOrderTransition.AbstractTransitionElement
`addToStatistic, appendGraphvizDescription, appendTransitions, clone, drawParametersFromStatistic, estimateFromStatistic, getArrowOption, getChild, getContext, getDescendant, getGraphvizEdgeWeight, getLabel, getLogGammaScoreFromStatistic, getLogPriorTerm, getLogScoreFor, getNextContext, getNumberOfChildren, getNumberOfParameters, getXMLTag, init, initializeRandomly, joinStatistics, precompute, resetStatistic, setIndexOfDescendantTransitionElement, setParameters, toString, toString, toXML`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicTransitionElement

    public BasicTransitionElement(int[] context,
                                  int[] states,
                                  double[] hyperParameters)

  This is the main constructor creating a new instance with given context, descendant states, and hyper parameters.

  Parameters:
    `context` - the context (=previously visited state indices); last entry corresponds to the last state visited
    `states` - the transitions to all possible states; if `null` then no transition allowed
    `hyperParameters` - the hyper parameters for the transitions; if `null` then no prior is used
  See Also:
    `BasicTransitionElement(int[], int[], double[], double[])`

### BasicTransitionElement

    public BasicTransitionElement(int[] context,
                                  int[] states,
                                  double[] hyperParameters,
                                  double[] weight)

  This is the main constructor creating a new instance with given context, descendant states, and hyper parameters.

  Parameters:
    `context` - the context (=previously visited state indices); last entry corresponds to the last state visited
    `states` - the transitions to all possible states; if `null` then no transition allowed
    `hyperParameters` - the hyper parameters for the transitions; if `null` then no prior is used
    `weight` - the weight for plotting the edges in Graphviz, enables to modify the edge length, larger weights imply shorter edges (default: 1)

### BasicTransitionElement

    public BasicTransitionElement(StringBuffer xml)
                           throws NonParsableException

  The standard constructor for the interface `Storable`. Constructs a `BasicHigherOrderTransition.AbstractTransitionElement` out of an XML representation.

  Parameters:
    `xml` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `BasicHigherOrderTransition.AbstractTransitionElement` could not be reconstructed out of the `StringBuffer` `xml`

Method Detail

### appendFurtherInformation

    protected void appendFurtherInformation(StringBuffer xml)

  Description copied from class: `BasicHigherOrderTransition.AbstractTransitionElement`
  This method appends further information to the XML representation. It allows subclasses to save further parameters that are not defined in the superclass.

  Specified by:
    `appendFurtherInformation` in class `BasicHigherOrderTransition.AbstractTransitionElement`
  Parameters:
    `xml` - the XML representation

### extractFurtherInformation

    protected void extractFurtherInformation(StringBuffer xml)
                                      throws NonParsableException

  Description copied from class: `BasicHigherOrderTransition.AbstractTransitionElement`
  This method extracts further information from the XML representation. It allows subclasses to cast further parameters that are not defined in the superclass.

  Specified by:
    `extractFurtherInformation` in class `BasicHigherOrderTransition.AbstractTransitionElement`
  Parameters:
    `xml` - the XML representation
  Throws:
    `NonParsableException` - if the information could not be reconstructed out of the `StringBuffer` `xml`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD